package org.nl.acs.device_driver.basedriver.standard_storage;

import org.nl.acs.device.domain.Device;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.DeviceDriverDefination;
import org.nl.acs.device.enums.DeviceType;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 货架
 */
@Service
public class StandardStorageDefination implements DeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "standard_storage";
    }

    @Override
    public String getDriverName() {
        return "标准版-货架";
    }

    @Override
    public String getDriverDescription() {
        return "标准版-货架";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new StandardStorageDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return StandardStorageDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.storage);
        return types;
    }
}
